%   Theorem = all(x,box p(x))<=>box all(x,p(x)).

predicates([p,normal,acc,ex]).
precedence([o,sk1,sk2,sk3,sk4,sk5,p,normal,acc,ex]).

%   Skolem-functions([o,sk1,sk2,sk3,sk4,sk5]).

ex(o,X1),acc(o,X2),acc(o,X3),ex(X3,X4) -> p(X2,X1),p(X3,X4).
ex(o,sk1),acc(o,sk3).
ex(o,sk1),ex(sk3,sk4).
p(sk3,sk4) -> ex(o,sk1).
acc(o,sk2),acc(o,sk3).
acc(o,sk2),ex(sk3,sk4).
p(sk3,sk4) -> acc(o,sk2).
p(sk2,sk1) -> acc(o,sk3).
p(sk2,sk1) -> ex(sk3,sk4).
p(sk2,sk1),p(sk3,sk4) -> [].
ex(X9,sk5(X9)).
ex(X12,X13),acc(X11,X12) -> ex(X11,X13).
