theory([E1,E2,E3],Thy,Ord):-
	use_module(dp(formulas)),
	X='$VAR'(0),
	Y='$VAR'(1),
	Z='$VAR'(2),
	
	Sig=sig([
		 e:([]->o),
		 i:([o]->o),
		 '*':([o,o]->o)],

		cons([])),
	
	Thy=equational(Sig,_),
	
	Ord=ord(lpo,prec([],[i,'*',e])),

	mk_equation(X*e,X,o,axiom(1),E1),
	mk_equation(X*i(X),e,o,axiom(2),E2),
	mk_equation(X*(Y*Z),(X*Y)*Z,o,axiom(3),E3),
	mk_equation('$neq'(x*i(y),i(y*i(x))),'$true',prop,goal(4),G).
	



goal:-
	theory(G,Thy,Ord),
	hgstuff:time(saturation:sat(Thy,Ord,[],G,_A,_P), T),
	format('~2nTime: ~p~2n',[T]).
	