
:- dynamic associative/1, commutative/1, reflexive_relation_symbol/1, horn/0.

ac(on).

firstOrder:-
	fail.

structural_expansion(on).

full_cnf(no).

iterative_saturation(off).


op_complexity_(_,_):-
	fail.

interpretation([]).

anti_symmetric_relation_symbol(_):-fail.
composition_of_relations(_,_,_):-fail.
congruence_relation_symbol(_):-fail.
dense_ordering_relation_symbol(_):-fail.
dense_ordering_wo_end_relation_symbol(_):-fail.
equality_relation_symbol(_):-fail.
explicit_nonstrict_total_ordering_relation_symbol(_):-fail.
explicit_total_ordering_relation_symbol(_):-fail.
function_as_predicate(_,_,_,_,_):-fail.
finite_domain(_):-fail.
irreflexive_relation_symbol(_):-fail.
nonstrict_total_ordering_relation_symbol(_):-fail.
noendL_relation_symbol(_):-fail.
noendR_relation_symbol(_):-fail.
partial_congruence_relation_symbol(_):-fail.
partial_equivalence_relation_symbol(_):-fail.
predicate_with_extension(_,_,_):-	fail.
reflexive_closure(_,_):-fail.
reflexive_relation_symbol(_):-fail.
strict_part(_,_):-fail.
special_relation(_):-fail.
special_user_relation(_):-fail.
symbol_admits_var_elim(_):-fail.
symmetric_relation_symbol(_):-fail.
total_ordering_relation_symbol(_):-fail.
total_relation_symbol(_):-fail.
transitive_relation_symbol(_):-fail.



user_selection(off).
user_selection(_,_):- fail.



% flat_proofs(N1,N2,Freq,D)
% N1= number of initial clause selection attempts that prefer flat clauses
%     unconditionally
% N2= number of initial clause selection attempts that prefer flat clauses
%     in every Freq-th selection step; N1=<N2
% D = maximal proof depth to make a clause eligible for selection preference



%flat_proofs(0,1000000,5,5).
flat_proofs(0,0,5,5).

flat_proofs(off).


horn(on).

horn:-
	fail.

agoal:-
	fail.

resolution:-
	fail.

theory_clause(_R):-fail.
blocked_clause(_R):-fail.

special_relations(on).
term_weight(T,S):-
	normal_term_weight(T,S).
segment_length(L):-
	normal_increment(L).




/*
scaled_clause_weight(Weight,_SearchDepth,Bound,Theory,_Red,K,SW):-
	% old
	(Theory = theory ->
	     SW1 is Weight+Bound/5 % standard
	;
	     SW1 is Weight/2+Bound/5   % standard
	),
	(K=extensionality(_,_,_) ->
	     SW is SW1/2
	;
	     SW=SW1
	).
*/

% new
% Weight is the raw weight of a clause computed
% from its size and depth. Here we compute
% inference-specific clause weights from
% the raw weight, search depth, theory flag, and
% clause kind.
scaled_clause_weight(Weight,SearchDepth,Theory,K,SW):-
	W1 is Weight/max(1,2-SearchDepth),
%	W1 = Weight,
	(Theory = theory ->
	     SW1 = W1
	;
	     SW1 is W1/2
	),
	((K=extensionality(_,_,_);K=orientableEquivalence) ->
	     SW is SW1/2
	;
	     SW=SW1
	).


scaled_inference_weight(W1,W2,_D1,_D2,T1,T2,_RF,_RFold,_K1,K2,W):-
	(T1=theory,T2=theory ->
	     W=W2   % standard
	;
	     W3=(W1+W2)/4,   % standard
	     (K2=extensionality(_,_,_) ->
		  W is W3/2
	     ;
	          W=W3
	     )
	).


scaled_clause_weight_D(W,D,B,T,Red,K,S):-
	scaled_clause_weight(W,D,B,T,Red,K,S).
	


scaled_inference_weight_D(W1,W2,D1,D2,T1,T2,Red1,Red2,K1,K2,W):-
	scaled_inference_weight(W1,W2,D1,D2,T1,T2,Red1,Red2,K1,K2,W).




max_cases(500).   % 1000=max, otherwise need to change complexity measure
max_skolem(500).  % 500=max, we use twice of them; need to be even
max_deBruijn(50).


case_split(_,_,_):-
	fail.
crw_depth(2).
crw_size_bound(60).
initial_var_depth(5).
% lengths of interval for iterative deepening of inference computation


normal_increment(30).
%normal_increment(10).
%normal_increment(100).


large_increment(60).
%large_increment(40).


%memo_constraints(off).
memo_constraints(on).

var_overlaps(on).
expand_definition(all).

tactic([]).
search_depth(1000). % that's already far beyond what is achievable

skolem_functions(big).

age_selection_modulus(50).  % big
