#include <sicstus/sicstus.h>
#include <stdlib.h>

#define GLUE_intlist 1
extern SP_GlueFun *intlist_funcs[];
extern char *intlist_prednames[];
extern int intlist_arities[];
#ifndef SPFUNCVARS
#define SPFUNCVARS 1
#if defined(PtrSPFuncs) && defined(SPDLL)
#include <sicstus/spaux.c>
#else
  static void **spfuncvars0[] = {0};
  static void **spfuncvars1[] = {0};
#endif
#endif

SPEXP1 void SPEXP2 SPCDECL sp_main_intlist(funcsp,prednamesp,aritiesp,spfuncvarsp0,versionp,init_fun,deinit_fun,spfuncvarsp1)
     SP_GlueFun ***funcsp;
     char ***prednamesp;
     int **aritiesp;
     void ****spfuncvarsp0;
     unsigned long *versionp;
     SP_InitFun **init_fun, **deinit_fun;
     void ****spfuncvarsp1;
{
  *funcsp = intlist_funcs;
  *prednamesp = intlist_prednames;
  *aritiesp = intlist_arities;
  *spfuncvarsp0 = spfuncvars0;
  *versionp = SPFliVersion;
  if (spfuncvarsp0+1 == spfuncvarsp1)
    *spfuncvarsp1 = spfuncvars1;
#if defined(PtrSPFuncs) && defined(SPDLL) && defined(SP_INSIDER)
  else
    *versionp = 0;
#endif
  *init_fun = NULL;
  *deinit_fun = NULL;
}

#ifndef GLUEDEFS
#define GLUEDEFS 1
struct glue_fli_info {
  SP_term *fli_stack_start;
  SP_term *term;
  int excp_flag;
};
struct glue_worker {
  struct glue_fli_info *fli_data;
  SP_term rest[1];
};
#define GlueErr(ArgNo,Exp,Culprit) {glue_argno=(ArgNo);glue_exp=(Exp);glue_culprit=(Culprit);goto glue_err;}
#define GlueTestExcp if (!glue_flidata->excp_flag) {glue_retval=0; glue_flidata->excp_flag=1;}
#define GlueArg w
#define GlueArgdecl struct glue_worker *w
#define GlueX(I) glue_flidata->term[I]
#define GlueRefTerm(Ref) (glue_flidata->fli_stack_start[Ref])
#endif



extern SP_term_ref intlist2term PROTOTYPE((
    void));
static int SPCDECL intlist_stub_0(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(2);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  GlueRefTerm(glue_ix+1) = GlueRefTerm(intlist2term());
  if(!SP_unify(glue_ix+0,glue_ix+1)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern void term2intlist PROTOTYPE((
    SP_term_ref));
static int SPCDECL intlist_stub_1(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  term2intlist(glue_ix+0);
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_backup PROTOTYPE((
    void));
static int SPCDECL intlist_stub_2(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_backup();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_restore PROTOTYPE((
    void));
static int SPCDECL intlist_stub_3(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_restore();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_initialize PROTOTYPE((
    void));
static int SPCDECL intlist_stub_4(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_initialize();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_addlpbi PROTOTYPE((
    void));
static int SPCDECL intlist_stub_5(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_addlpbi();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern long c_fixing PROTOTYPE((
    void));
static int SPCDECL intlist_stub_6(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_fixing();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_fixingcheck PROTOTYPE((
    void));
static int SPCDECL intlist_stub_7(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_fixingcheck();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_eqcheck PROTOTYPE((
    void));
static int SPCDECL intlist_stub_8(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_eqcheck();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_coeffred PROTOTYPE((
    void));
static int SPCDECL intlist_stub_9(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_coeffred();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_coeffredm PROTOTYPE((
    void));
static int SPCDECL intlist_stub_10(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_coeffredm();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_deleteimplied PROTOTYPE((
    void));
static int SPCDECL intlist_stub_11(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_deleteimplied();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern void c_resetenumstatistics PROTOTYPE((
    void));
static int SPCDECL intlist_stub_12(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_resetenumstatistics();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_resetcoverstatistics PROTOTYPE((
    void));
static int SPCDECL intlist_stub_13(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_resetcoverstatistics();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern long c_getnocovers PROTOTYPE((
    void));
static int SPCDECL intlist_stub_14(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_getnocovers();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_getnonodes PROTOTYPE((
    void));
static int SPCDECL intlist_stub_15(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_getnonodes();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_getnofixed PROTOTYPE((
    void));
static int SPCDECL intlist_stub_16(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_getnofixed();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_addcover PROTOTYPE((
    long *));
static int SPCDECL intlist_stub_17(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  long glue_arg1;
  SP_term_ref glue_ix = SP_new_term_refs(2);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  GlueRefTerm(glue_ix+1) = GlueX(1);
  glue_arg1 = c_addcover(&glue_arg0);
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
  if(!glue_make_integer(glue_ix+1,glue_arg1)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_coversolve PROTOTYPE((
    void));
static int SPCDECL intlist_stub_18(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_coversolve();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_solve PROTOTYPE((
    void));
static int SPCDECL intlist_stub_19(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_solve();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_maximize PROTOTYPE((
    void));
static int SPCDECL intlist_stub_20(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_maximize();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern long c_minimize PROTOTYPE((
    void));
static int SPCDECL intlist_stub_21(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_minimize();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern void c_getfixed PROTOTYPE((
    void));
static int SPCDECL intlist_stub_22(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_getfixed();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_getsol PROTOTYPE((
    void));
static int SPCDECL intlist_stub_23(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_getsol();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_first PROTOTYPE((
    void));
static int SPCDECL intlist_stub_24(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_first();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern long c_last PROTOTYPE((
    void));
static int SPCDECL intlist_stub_25(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(1);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  GlueRefTerm(glue_ix+0) = GlueX(0);
  glue_arg0 = c_last();
  if(!glue_make_integer(glue_ix+0,glue_arg0)) goto glue_fail;
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_fail:
  glue_retval=0;
  goto glue_way_out;
}



extern void c_next PROTOTYPE((
    void));
static int SPCDECL intlist_stub_26(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  c_next();
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
}



extern void c_setheuristic PROTOTYPE((
    long));
static int SPCDECL intlist_stub_27(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term glue_culprit;
  int glue_argno, glue_exp;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  if(!glue_get_integer(GlueX(0),&glue_arg0)) GlueErr(1,768,GlueX(0));
  c_setheuristic(glue_arg0);
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_err:
  glue_error("p_setheuristic",1,glue_argno,glue_exp,glue_culprit);
  glue_retval=0;
  goto glue_way_out;
}



extern void c_setmaxcutnodes PROTOTYPE((
    long));
static int SPCDECL intlist_stub_28(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term glue_culprit;
  int glue_argno, glue_exp;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  if(!glue_get_integer(GlueX(0),&glue_arg0)) GlueErr(1,768,GlueX(0));
  c_setmaxcutnodes(glue_arg0);
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_err:
  glue_error("p_setmaxcutnodes",1,glue_argno,glue_exp,glue_culprit);
  glue_retval=0;
  goto glue_way_out;
}



extern void c_setdellitheu PROTOTYPE((
    long));
static int SPCDECL intlist_stub_29(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term glue_culprit;
  int glue_argno, glue_exp;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  if(!glue_get_integer(GlueX(0),&glue_arg0)) GlueErr(1,768,GlueX(0));
  c_setdellitheu(glue_arg0);
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_err:
  glue_error("p_setdellitheu",1,glue_argno,glue_exp,glue_culprit);
  glue_retval=0;
  goto glue_way_out;
}



extern void c_setverbosity PROTOTYPE((
    long));
static int SPCDECL intlist_stub_30(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term glue_culprit;
  int glue_argno, glue_exp;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  if(!glue_get_integer(GlueX(0),&glue_arg0)) GlueErr(1,768,GlueX(0));
  c_setverbosity(glue_arg0);
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_err:
  glue_error("p_setverbosity",1,glue_argno,glue_exp,glue_culprit);
  glue_retval=0;
  goto glue_way_out;
}



extern void c_setenumverbosity PROTOTYPE((
    long));
static int SPCDECL intlist_stub_31(GlueArg)
   GlueArgdecl;
{
  register struct glue_fli_info *glue_flidata = w->fli_data;
  SP_term glue_culprit;
  int glue_argno, glue_exp;
  long glue_arg0;
  SP_term_ref glue_ix = SP_new_term_refs(0);
  int glue_retval = 1;
  glue_flidata->excp_flag = 1;
  if(!glue_get_integer(GlueX(0),&glue_arg0)) GlueErr(1,768,GlueX(0));
  c_setenumverbosity(glue_arg0);
 glue_way_out:
  GlueTestExcp;
  SP_reset_term_refs(glue_ix);
  return glue_retval;
 glue_err:
  glue_error("p_setenumverbosity",1,glue_argno,glue_exp,glue_culprit);
  glue_retval=0;
  goto glue_way_out;
}

SP_GlueFun *intlist_funcs[] = {
	intlist_stub_0,
	intlist_stub_1,
	intlist_stub_2,
	intlist_stub_3,
	intlist_stub_4,
	intlist_stub_5,
	intlist_stub_6,
	intlist_stub_7,
	intlist_stub_8,
	intlist_stub_9,
	intlist_stub_10,
	intlist_stub_11,
	intlist_stub_12,
	intlist_stub_13,
	intlist_stub_14,
	intlist_stub_15,
	intlist_stub_16,
	intlist_stub_17,
	intlist_stub_18,
	intlist_stub_19,
	intlist_stub_20,
	intlist_stub_21,
	intlist_stub_22,
	intlist_stub_23,
	intlist_stub_24,
	intlist_stub_25,
	intlist_stub_26,
	intlist_stub_27,
	intlist_stub_28,
	intlist_stub_29,
	intlist_stub_30,
	intlist_stub_31,
0};
char *intlist_prednames[] = {
	"p_intlist2term",
	"p_term2intlist",
	"p_backup",
	"p_restore",
	"p_initialize",
	"p_addlpbi",
	"p_fixing",
	"p_fixingcheck",
	"p_eqcheck",
	"p_coeffred",
	"p_coeffredm",
	"p_deleteimplied",
	"p_resetenumstatistics",
	"p_resetcoverstatistics",
	"p_getnocovers",
	"p_getnonodes",
	"p_getnofixed",
	"p_addcover",
	"p_coversolve",
	"p_solve",
	"p_maximize",
	"p_minimize",
	"p_getfixed",
	"p_getsol",
	"p_first",
	"p_last",
	"p_next",
	"p_setheuristic",
	"p_setmaxcutnodes",
	"p_setdellitheu",
	"p_setverbosity",
	"p_setenumverbosity",
0};
int intlist_arities[] = {
	1,
	1,
	0,
	0,
	0,
	0,
	1,
	1,
	1,
	1,
	1,
	1,
	0,
	0,
	1,
	1,
	1,
	2,
	1,
	1,
	1,
	1,
	0,
	0,
	0,
	1,
	0,
	1,
	1,
	1,
	1,
	1,
-1};
