%declarations%


:- use_module(aclpo,[
	rnGreater/2,
	rnGreaterEqual/2,
        gndRnGreater/2,
        gndRnGreaterEqual/2
]).

:- use_module(match,[
	ac_match/2,
	ac_equal/2
		    ]).


greater(A,B):-
	ac_match(A,mul(plus(Y,Z),X)),
	ac_equal(B,plus(mul(Y,X),mul(Z,X))),
	!.
greater(A,B):-
	rnGreater(A,B).

greater_ground(A,B):-
	gndRnGreater(A,B).

greaterEqual(A,B):-
	ac_match(A,mul(plus(Y,Z),X)),
	ac_equal(B,plus(mul(Y,X),mul(Z,X))),
	!.
greaterEqual(A,B):-
	rnGreaterEqual(A,B).


%end%

currentOrdering(apo).

currentOrderingAC.


